Bug 438420 - regression: device-mapper based system doesn't boot anymore since mkinitrd-6.0.34-1
regression: device-mapper based system doesn't boot anymore since mkinitrd-6....
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Regression
Depends On:
  Show dependency treegraph
Reported: 2008-03-20 15:35 EDT by Erik van Pienbroek
Modified: 2008-04-07 13:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 13:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (27.55 KB, text/plain)
2008-03-20 15:40 EDT, Erik van Pienbroek
no flags Details

  None (edit)
Description Erik van Pienbroek 2008-03-20 15:35:59 EDT
This bug is continued from #429937
In the above bug report, Jeremy Katz introduced a change in mkinitrd which
should solve the problems reported in that bug report. However, since that
change (mkinitrd-6.0.34-1,
http://koji.fedoraproject.org/koji/buildinfo?buildID=41744) my computer became

These are the last lines which were produced :

device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.13.0-ioctl (2007-10-18) initialised: dm-devel@redhat.com
device-mapper: table: 253:0 linear: dm-linear: Device lookup failed
device-mapper: ioctl: error adding target to table
device-mapper: reload ioctl failed: Invalid argument
device-mapper: table ioctl failed: No such device or address
device-mapper: deps ioctl failed: No such device or address
init[1]: segfault at 10 ip 00a5b10a sp bfa1640c error 4 in
nash received SIGSEGV! Backtrace (14):

If I revert back to mkinitrd-6.0.33-1 and regenerate the initrd.img my system
boots fine. This problem is still occuring with mkinitrd-6.0.39-1,

My hardware specifications:

Pentium 4 2.4Ghz
Fedora Rawhide i386

The motherboard itself only has PATA connections. I've installed a
SATA-PCI-controller in my computer.

Fedora is installed on a SATA drive. Due to the fact that I can't directly boot
off this SATA drive I have a /boot partition on a PATA drive.

Another thing I found out is that if I boot anaconda's rescue mode and let it
search for existing Linux installations, then anaconda crashes. I think this
might be related to this bug. I don't have the exact backtrace anymore, but I
can regenerate it if necessary. This was with anaconda-
Comment 1 Erik van Pienbroek 2008-03-20 15:40:27 EDT
Created attachment 298738 [details]
Comment 2 Peter Jones 2008-04-07 12:16:59 EDT
Can you try this with 6.0.43-1 please?  I expect it's fixed, but it could be a
different problem.
Comment 3 Erik van Pienbroek 2008-04-07 13:32:08 EDT
Yep, this build fixes my problems. Thanks!

Note You need to log in before you can comment on or make changes to this bug.